import { XYChart } from "./XYChart";
import { Type } from "igniteui-angular-core";
import { CategoryChartType } from "./CategoryChartType";
import { CategorySeriesMarkerCollisionAvoidance } from "./CategorySeriesMarkerCollisionAvoidance";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { TransitionInSpeedType } from "./TransitionInSpeedType";
import { BrushCollection } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { DataSeriesType } from "igniteui-angular-core";
import { IDataSeriesAdapterRule } from "igniteui-angular-core";
import { Series } from "./Series";
import { XamDataChart } from "./XamDataChart";
import { Axis } from "./Axis";
import { DataSeries } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class CategoryChart extends XYChart {
    static $t: Type;
    protected gj(): void;
    protected gl(a: Series, b: number): void;
    protected g4(a: string, b: any, c: any): void;
    private p3;
    p5: number;
    private o7;
    o8: (time: number) => number;
    p8(): string;
    protected ge(a: XamDataChart): void;
    protected gk(a: Series, b: number): void;
    private ox;
    private o1;
    protected f3(): void;
    protected m5(a: Axis): void;
    private or;
    os: CategoryChartType;
    private ot;
    ou: CategorySeriesMarkerCollisionAvoidance;
    private pb;
    pg: boolean;
    private ov;
    ow: CategoryTransitionInMode;
    private o5;
    o6: TransitionInSpeedType;
    private pk;
    pu: number;
    private pl;
    pv: number;
    private pj;
    pt: number;
    private pm;
    pw: number;
    private pn;
    pz: number;
    private pd;
    pi: boolean;
    private p4;
    p6: number;
    private pp;
    p1: number;
    private po;
    p0: number;
    private pq;
    p2: number;
    readonly ps: number;
    readonly pr: number;
    readonly py: number;
    readonly px: number;
    private on;
    op: BrushCollection;
    private oo;
    oq: BrushCollection;
    private pc;
    ph: boolean;
    private o9;
    pe: boolean;
    private pa;
    pf: boolean;
    constructor();
    protected get_b5(): List$1<DataSeriesType>;
    protected readonly b5: List$1<DataSeriesType>;
    private qw;
    private qx;
    protected hl(): void;
    private _xAxis;
    private xAxis;
    private _yAxis;
    private yAxis;
    private o0;
    private oz;
    protected u(a: DataSeries): DataSeriesType;
    protected aq(a: DataSeries, b: DataSeriesType): Series;
    protected hj(a: DataSeries): void;
    protected hm(): void;
    protected get_b4(): List$1<IDataSeriesAdapterRule>;
    protected readonly b4: List$1<IDataSeriesAdapterRule>;
    protected f1(a: Series, b: number): void;
    private qu;
    private qv;
    protected h9(): Axis;
    protected ia(): Axis;
    private o3;
    private o4;
    protected b1(a: string, b: boolean): List$1<Series>;
    protected hq(a: Series, b: Series, c: DataSeries): void;
    protected g3(a: string, b: any, c: any): void;
}
